Overview
GET/persona-memory/memoriespersona_memory

List memories

List memories.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • personaIdstring
  • scopestring
  • slugstring
  • memoryTypestring
  • descriptionstring
  • bodystring
  • subjectTablestring?
  • subjectIdstring?
  • statusstring
  • supersedesIdstring?
  • sourcestring
  • confidenceinteger
  • tagsstring[]
  • validFromstring?
  • validTostring?
  • recallCountinteger
  • lastRecalledAtstring?
  • embeddingnumber[]?
  • embeddingModelstring?
  • createdAtstring
  • updatedAtstring
Example
[
  {
    "id": "string",
    "ecosystemId": "string",
    "customerId": "string",
    "deletedAt": "string",
    "personaId": "string",
    "scope": "string",
    "slug": "string",
    "memoryType": "string",
    "description": "string",
    "body": "string",
    "subjectTable": "string",
    "subjectId": "string",
    "status": "string",
    "supersedesId": "string",
    "source": "string",
    "confidence": 0,
    "tags": [
      "string"
    ],
    "validFrom": "string",
    "validTo": "string",
    "recallCount": 0,
    "lastRecalledAt": "string",
    "embedding": [
      0
    ],
    "embeddingModel": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona-memory/memories" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/memories", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();